<div class="mat-elevation-z8">
  <table mat-table class="full-width-table" matSort aria-label="Products">
  <!-- Checkbox Column -->
  <ng-container matColumnDef="select">
    <th mat-header-cell *matHeaderCellDef>
      <mat-checkbox (change)="$event ? masterToggle() : null"
                    [checked]="selection!.hasValue() && isAllSelected()"
                    [indeterminate]="selection?.hasValue() && !isAllSelected()"
                    [aria-label]="checkboxLabel()">
      </mat-checkbox>
    </th>
    <td mat-cell *matCellDef="let row">
      <mat-checkbox (click)="$event.stopPropagation()"
                    (change)="$event ? selection?.toggle(row) : null"
                    [checked]="selection!.isSelected(row)"
                    [aria-label]="checkboxLabel(row)">
      </mat-checkbox>
    </td>
  </ng-container>
    <!-- Id Column -->
    <ng-container matColumnDef="key">
      <th mat-header-cell *matHeaderCellDef mat-sort-header>Key</th>
      <td mat-cell *matCellDef="let product">{{product.key}}</td>
    </ng-container>
  <!-- Id Column -->
  <ng-container matColumnDef="pkey">
    <th mat-header-cell *matHeaderCellDef mat-sort-header>Pkey</th>
    <td mat-cell *matCellDef="let product">{{product.pkey}}</td>
  </ng-container>
  
  <!-- Name Column -->
  <ng-container matColumnDef="brand">
    <th mat-header-cell *matHeaderCellDef mat-sort-header>Marca</th>
    <td mat-cell *matCellDef="let product">{{product.brand}}</td>
  </ng-container>

    <!-- Name Column -->
    <ng-container matColumnDef="name">
      <th mat-header-cell *matHeaderCellDef mat-sort-header>Nome</th>
      <td mat-cell *matCellDef="let product">{{product.name}}</td>
    </ng-container>
    <!-- Id Column -->
    <ng-container matColumnDef="ean">
      <th mat-header-cell *matHeaderCellDef mat-sort-header>EAN</th>
      <td mat-cell *matCellDef="let product">{{product.ean}}</td>
    </ng-container>

    <!-- Name Column -->
    <ng-container matColumnDef="category">
      <th mat-header-cell *matHeaderCellDef mat-sort-header>Categoria</th>
      <td mat-cell *matCellDef="let product">{{product.category}}</td>
    </ng-container>

    <!-- Name Column -->
    <ng-container matColumnDef="quantity">
      <th mat-header-cell *matHeaderCellDef mat-sort-header>Quantità</th>
      <td mat-cell *matCellDef="let product">{{product.quantity}}</td>
    </ng-container>
    <!-- Name Column -->
    <ng-container matColumnDef="buying_price">
      <th mat-header-cell *matHeaderCellDef mat-sort-header>Prezzo d'Acquisto</th>
      <td mat-cell *matCellDef="let product">{{product.buying_price}}</td>
    </ng-container>
    <!-- Name Column -->
    <ng-container matColumnDef="selling_price">
      <th mat-header-cell *matHeaderCellDef mat-sort-header>Prezzo di Vendita</th>
      <td mat-cell *matCellDef="let product">{{product.selling_price}}</td>
    </ng-container>

    <ng-container matColumnDef="actions">
      <th mat-header-cell *matHeaderCellDef> Azioni </th>
      <td *matCellDef="let product" >
        <mat-icon (click) = "editProduct(product)" class="mat-edit-icon">edit</mat-icon>
        <mat-icon (click) = "deleteProduct(product)" class="mat-delete-icon">delete_forever</mat-icon>
      </td>
  </ng-container>

    <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
    <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
  </table>

  <mat-paginator #paginator
      [length]="dataSource?.length"
      [pageIndex]="0"
      [pageSize]="10"
      [pageSizeOptions]="[]">
  </mat-paginator>
</div>
